Subject: Re: [bug#45011] [PATCH] add emacs-project and dependency

From: Jonathan <[email-masked]>
Date: Sun, 6 Dec 2020 13:22:31 -0600

Hello Nicolas

Thanks for the feedback. My bad if my tone in the email sounds dry... it’s not my intention. 

This is my first ever Guix contribution and I’m following from what I saw in the website’s video tutorials. I kindly ask that you have some patience with me. 

The only thing I need clarified now is how do I send the commits? I thought git format-patch included the commit? Do you want me to send two separate emails with the commit message as the subject? I’m not sure how to send to you the commit info with the patch in the email. 

I did see those commit messages on the project repo but I was not sure I needed to add a newline after the main message. Do you want me to send the patches’ commit message like the one you just typed in the email?   

All the best

> On Dec 6, 2020, at 08:53, Nicolas Goaziou <[email-masked]> wrote:
> 
> Hello,
> 
> Jonathan <[email-masked]> writes:
> 
>> The descriptions are the ones found in their project's homepage.
> 
> Well, sometimes, even upstream descriptions need to be reworded.
> 
>> I can't think of a better synopsis for Project since it provides
>> several functions to operate on a project directory... Do you have
>> a suggestion?.
> 
> Unfortunately, no. My concern is that I don't know what this package is
> about, and the synopsis doesn't help me finding it out. Maybe the term
> "project" is too vague.
> 
> Note that the synopsis must fit on a single line, and is not a full
> sentence. You may want to run "guix lint" on your package definition.
> 
> Also, I suggest to remove the big note at the beginning of each
> description. It may make sense as a foreword in a project home page, but
> I don't think it does when describing the software.
> 
>> Which patch do you want first? emacs-xref is needed for emacs-project. Do
>> you want me to send emacs-xref first?
> 
> Sure.
> 
> I see you send new patches. Could you integrate the suggestion above,
> and include a proper commit message, like the following:
> 
>    gnu: Add emacs-xref.
> 
>    * gnu/packages/emacs-xyz.scm (emacs-xref): New variable.
> 
> ?
> 
> Thanks!
> 
> Regards,
> -- 
> Nicolas Goaziou